For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve extraction results

Retrieve one extraction or every extraction in a group.

All requests require the X-Api-Key header.

Get one extraction

GET /document-extractions/{extraction_id}

Use the extraction identifier returned by asynchronous extraction.

Parameter
In
Type
Required

extraction_id

path

string

Yes

Status
Description
Schema

200

Extraction details returned.

GetExtractionResponse

400

Invalid request.

ValidationError

401

API key is missing or invalid.

404

No extraction exists with that identifier.

curl -X GET "https://<api-host>/document-extractions/{extraction_id}" \
  -H "X-Api-Key: $DOCAI_API_KEY"

Get a bulk extraction group

GET /document-extractions/group/{extraction_group_id}

Use the group identifier returned by bulk extraction. The response is keyed by documentType.

Parameter
In
Type
Required

extraction_group_id

path

string

Yes

Status
Description
Schema

200

Extractions in the group returned.

GroupExtractionResponse

400

Invalid request.

ValidationError

401

API key is missing or invalid.

404

No extraction group exists with that identifier.

Last updated